Issue 91957

Summary: GCF - grammar checking and fields
Product: Writer Reporter: thomas.lange
Component: codeAssignee: AOO issues mailing list <issues>
Status: CONFIRMED --- QA Contact:
Severity: Trivial    
Priority: P3 CC: issues, nemeth.lacko
Version: DEV300m26   
Target Milestone: ---   
Hardware: All   
OS: All   
Issue Type: TASK Latest Confirmation in: ---
Developer Difficulty: ---

Description thomas.lange 2008-07-22 10:09:33 UTC
Grammar checking should resolve the content of fields within the text in order
to have their content checked as part of the text.

Open questions:
- should the text content of all fields be resolved? (probably yes)
- we need to take care of fields that can not be edited once the content is
  reported as incorrect. (probably not reporting the error at all)
- editable fields with no special meaning (like database fileds etc.) need 
  to be changed when suggested text gets applied for incorrect content.
- the 0x01 and 0x02 characters that currently get returned for the text from
  the XFlatParagraph interface should probably not be part of the text in
  case of grammar checking since they are not really part of the sentence.
Comment 1 thomas.lange 2008-07-22 10:10:25 UTC
.
Comment 2 michael.ruess 2008-07-22 10:59:43 UTC
I guess you filed this one for yourself...?
Comment 3 thomas.lange 2008-10-27 16:12:48 UTC
It seems some fields (or better their 0x01 and 0x02 char code) still appear in
the text handed to the grammar checker. That should not happen.

Also we may need to improve handling of fields. 
Problem: not all type of fields can/should be modified even if the text is
wrong. E.g. database fields. And what about the markings and 'ignore'
functionality if fields are involved? Especially if they are only partially
involved or just a part of the text but still unchangeable.
Comment 4 thomas.lange 2009-10-12 12:44:07 UTC
.
Comment 5 thomas.lange 2010-07-02 11:12:59 UTC
Changing targets since for OOo 3.3 only showstoppers get accepted now.
Comment 6 Martin Hollmichel 2011-03-16 11:42:13 UTC
set target 3.x since not relevant for 3.4 release.